• Announcements

    • xper

      MSFN Sponsorship and AdBlockers!   07/10/2016

      Dear members, MSFN is made available via subscriptions, donations and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, become a site sponsor and ads will be disabled automatically and by subscribing you get other sponsor benefits.
blackwingcat

KernelEx for Win2000

883 posts in this topic

Thanks for the hard work.

I've got a problem installing anything after 15s, so starting with 17c. They all give me a "setup was canceled" message. The later ones do show the options screen, but give the error message after I hit "execute". I tried in safe mode as well, same problem.

Any idea what needs to be done?

Edited by oldster
0

Share this post


Link to post
Share on other sites

Sorry, it's simply bug in English version kernel32.dll (Not related on CryptSvc)

I fixed it.

FCIV doesn't work with the kernel installed:

//
// File Checksum Integrity Verifier version 2.05.
//

Error during CryptAcquireContext.
Error msg : An internal error occurred.
Error code : 57

It seems to have something to do with the Cryptographic Services.

0

Share this post


Link to post
Share on other sites

Hi,

Check this article.

http://blog.livedoor.jp/blackwingcat/archives/1644737.html

Thanks for the hard work.

I've got a problem installing anything after 15s, so starting with 17c. They all give me a "setup was canceled" message. The later ones do show the options screen, but give the error message after I hit "execute". I tried in safe mode as well, same problem.

Any idea what needs to be done?

0

Share this post


Link to post
Share on other sites

Hi.

When I create other language version extended kernel, It requires many Efforts.

1. it requires recentest original DLLs, which I use from Windows 2000 with the language.

2. it requires some XP original DLLs iphlpapi, *enh.dll. ese*.dll, wintrust.dll, comctl32.dll(two version)...etc.

3. it requires some Vista and 7 DLLs MSVCR and MFC*.dll ,msdelta.dll ....etc

4. And I must check them on the language environment.

So I support only 3 languages now

If you can provide those files and check them, I can make Sim-Chinese version one. :)

(I think Daemon Tools Lite v4.40 does not work on extended kernel, because it uses virtual scsi driver which does not support windows 2000.

I recommend MS Virtual CD Driver. :) )

It's so great brilliant work you've done! And I came through all the replies from the early 2011 to yesterday. :blushing:

I would say it will be a great help to me if you can release a new Simple-Chinese version, because i really really want to make Daemon Tools Lite 4.40.2.131 or GoAgent (a lovely GAE app that help Chinese people to be able to connect youtube, facebook, twitter, etc) working on my lovely Windows 2000 SP4! The v2 Sim-Chinese version of kernelEx seems a bit old.

I can see you released most version of KernelEx in Tra-Chinese. I don't know if you have a plan or just not bother to release a Sim-Chinese version. Could you give me a reply?

BTW, i don't know programming or some thing similar, so if no Sim-Chinese will be released, i'll just simply use an English Windows 2000 alternatively, then i can still can use the new KernelEx, that's OK - though my English is just soso. :rolleyes:

Looking forward to your reply :-)

0

Share this post


Link to post
Share on other sites

Sorry, it's simply bug in English version kernel32.dll (Not related on CryptSvc)

I fixed it.

Thank you for a quick fix :) I can confirm that FCIV works properly after installing the fixed kernel.

By the way, PAE seems to be working now. I don't know what the problem was but at the moment it seems to work fine. I'm using only the "/PAE" switch but later I'm also going to test "/PAE /3GB" as that was my default configuration.

0

Share this post


Link to post
Share on other sites

@blackwingcat

Silverlight doesn't seem to work any more with the new versions of the kernel. The browser just crashes (tried IE6, Firefox, Maxthon and Qupzilla). The last version of the kernel where Silverlight works is v20m3

I may be wrong I suspect that the problem lies in ntdll.dll.

0

Share this post


Link to post
Share on other sites

Blackwingcat, Thank you for your hard work ! I just installed Yahoo messenger,and it works Great...Now if i could just get my webcam to work.My webcam is a Logitech C120. I extract the drivers,then install it with Device Manager.The drivers seem to install fine.But in Device Manager it says the Device Cannot Start.I really wish it worked.

I guess Logitech dont want people useing Windows 2000.lol

Like i said,all the Drivers are listed in Device Manager.But it just wont load the drivers.

0

Share this post


Link to post
Share on other sites

For those trying to install WMP11...Maybe this works for you.

if you have the following errors:

the version of windows you have installed does not match the update you are trying to install

Setup could not verify the integrity of the file Update.inf. Make sure the Cryptographic service is running on this computer. Failed to install catalog files.

After installing Blackwingcat`s DLL Wrapper and Kernelex, I noticed Cryptographic Service became broken. This led to the fact I couldn`t install WMP11. After searching for solutions, I managed to install it with the following method.

- Extract the contents of WMP11.exe

- Go to the extracted folder and go the folder update

- Open the file update.inf with notepad or another text editor

- replace the first part [version] so that it lists the following:

[Version]

Signature="$Windows NT$"

LanguageType=%LangTypeValue%

CatalogFile=%SP_SHORT_TITLE%.cat

NtBuildToUpdate=2195

NtMajorVersionToUpdate=5

NtMinorVersionToUpdate=0

MaxNtBuildToUpdate=2195

MaxNtMajorVersionToUpdate=5

MaxNtMinorVersionToUpdate=0

MinNtServicePackVersion=1024

MaxNtServicePackVersion=1024

ThisServicePackVersion=1280

- Replace update.exe with update.exe coming from another working WIndows 2000 update or hotfix.

That should do the trick. Same idea goes for installing wmfdist11

0

Share this post


Link to post
Share on other sites

Be careful with such a WMP11 installation! I haven't tested it on my computer but just from looking at the update.inf I'm 99% sure that you won't be able to UNinstall it completely so think of it as a "one-way ticket". In case of wmfdist11.exe there are actually unfixed dependencies in some of the files and they just won't work.

Also, as blackwingcat has already mentioned several times, you can't play DRM protected content in WMP11 under Win2k.

0

Share this post


Link to post
Share on other sites

@blackwingcat

Silverlight doesn't seem to work any more with the new versions of the kernel. The browser just crashes (tried IE6, Firefox, Maxthon and Qupzilla). The last version of the kernel where Silverlight works is v20m3

I may be wrong I suspect that the problem lies in ntdll.dll.

I don't have any problem with IE6 and Firefox ESR and Silverlight5 and exkernel v22k2.

Which version did you use silverlight ?

I guess Logitech dont want people useing Windows 2000.lol

Like i said,all the Drivers are listed in Device Manager.But it just wont load the drivers.

Sorry.

I have seen some reports which logitech driver would not work on windows 2000.

The problem has not resolved yet.

For those trying to install WMP11...Maybe this works for you.

I don't recommend WMP 11, because It occurs problem on MTP and DRM.

0

Share this post


Link to post
Share on other sites

I don't have any problem with IE6 and Firefox ESR and Silverlight5 and exkernel v22k2.

Which version did you use silverlight ?

I've done one more test.

  1. Installed clean Win2k SP4.
  2. Installed IE6 SP1.
  3. Installed Update Rollup 1 (v2).
  4. Installed Roots Certificates update (KB931125).
  5. Installed KB2722913 for IE6.
  6. Installed KB957579.
  7. Installed Kernel v22k2.
  8. Installed MSI 3.1 (Silverlight's installer requires it).
  9. Installed Silverlight 5.1.10411.0 (the newest version).

Unfortunately Silverlight still doesn't work :(

I test it here: http://bubblemark.com/

When trying to run http://bubblemark.com/silverlight2.html I get:

ppi53.jpg

Edited by tomasz86
0

Share this post


Link to post
Share on other sites

I've done one more test.

  1. Installed clean Win2k SP4.
  2. Installed IE6 SP1.
  3. Installed Update Rollup 1 (v2).
  4. Installed Roots Certificates update (KB931125).
  5. Installed KB2722913 for IE6.
  6. Installed KB957579.
  7. Installed Kernel v22k2.
  8. Installed MSI 3.1 (Silverlight's installer requires it).
  9. Installed Silverlight 5.1.10411.0 (the newest version).

Unfortunately Silverlight still doesn't work :(

I test it here: http://bubblemark.com/

When trying to run http://bubblemark.com/silverlight2.html I get:

ppi53.jpg

I too received a crash in Microsoft Silverlight affecting Internet Explorer and the offending module name appears to be kernel32.dll (module version 5.0.2195.7193), the exception information output are as follows:

Code: 0xe0434352

Flags: 0x00000001

Record: 0x0000000000000000

Address: 0x000000007C59CB1

I'm guessing that a lot of files in version 5.0.2195.7193 broke Silverlight support and it's not just kernel32.dll or ntdll.dll. :(

0

Share this post


Link to post
Share on other sites

I try to excute similar test now on VMWare Player.

  1. Installed clean Win2k SP4(English).(Reboot)
  2. Installed IE6 SP1.(Reboot)
  3. Installed Update Rollup 1 (v2).(Reboot)
  4. Installed Roots Certificates update (v37.0.2195.5).
  5. Installed KB2744842 for IE6. and KB957579. (reboot)
  6. Installed Kernel v22k2. (I tested both NT5.x mode and NT6.x mode)
  7. Installed Windows Installer v3.1(v2) Plus for Windows 2000
  8. Installed Silverlight 5.1.10411.0 (the newest version).(reboot)

It seems to work fine. :whistle:

And I tested Multi-Processor mode and Uni-processor mode.

Can you provide me the VMWare Image which included error ?

I don't have any problem with IE6 and Firefox ESR and Silverlight5 and exkernel v22k2.

Which version did you use silverlight ?

I've done one more test.

  1. Installed clean Win2k SP4.
  2. Installed IE6 SP1.
  3. Installed Update Rollup 1 (v2).
  4. Installed Roots Certificates update (KB931125).
  5. Installed KB2722913 for IE6.
  6. Installed KB957579.
  7. Installed Kernel v22k2.
  8. Installed MSI 3.1 (Silverlight's installer requires it).
  9. Installed Silverlight 5.1.10411.0 (the newest version).

Unfortunately Silverlight still doesn't work :(

I test it here: http://bubblemark.com/

When trying to run http://bubblemark.com/silverlight2.html I get:

ppi53.jpg

Edited by blackwingcat
0

Share this post


Link to post
Share on other sites

[*] Installed Roots Certificates update (v37.0.2195.5).

Do you mean this?

0

Share this post


Link to post
Share on other sites

No it isn't.

It is Update for Root Certificates For Windows XP v36.0.2195.5.

I installed Root Certificates For Windows XP [November 2012].

[*] Installed Roots Certificates update (v37.0.2195.5).

Do you mean this?

0

Share this post


Link to post
Share on other sites

Thank you. I've installed it but unfortunately it hasn't made any difference. Silverlight still doesn't work :(

I use VirtualBox 1.5.6, not VMWare. I hope it's not a problem for you. I've uploaded my VDI file here (VirtualBox_test.7z).

0

Share this post


Link to post
Share on other sites

It shows BSoD of STOP:0x7b INACCESSIBLE_BOOTDEVICE :(

I can't mount it.(look like vmware mount)

Thank you. I've installed it but unfortunately it hasn't made any difference. Silverlight still doesn't work :(

0

Share this post


Link to post
Share on other sites

You can install easier VMWare 3.1.6 with Windows installer 3.1v2 plus.

and set msiexec.exe set XP mode.

Is there a tutorial available anywhere where this is explained in more detail?

Cheers and Regards

0

Share this post


Link to post
Share on other sites

* Install Windows installer 3.1v2 plus.

* set XP Mode msiexec.exe with fcwin.

* restart Windows Installer service

* set XP mode VMWare installer

* install VMWare

* delete compatible mode msiexe.exe

* replace hcmon.sys v 7.0.1.11056

* If you don't use Extended Core, replace VMWare NDIS Bridge Driver also.

You can install easier VMWare 3.1.6 with Windows installer 3.1v2 plus.

and set msiexec.exe set XP mode.

Is there a tutorial available anywhere where this is explained in more detail?

Cheers and Regards

0

Share this post


Link to post
Share on other sites

Later I could test with your vbx image.

vbx.png

But, It seems to work without problem :wacko:

I've done one more test.

  1. Installed clean Win2k SP4.
  2. Installed IE6 SP1.
  3. Installed Update Rollup 1 (v2).
  4. Installed Roots Certificates update (KB931125).
  5. Installed KB2722913 for IE6.
  6. Installed KB957579.
  7. Installed Kernel v22k2.
  8. Installed MSI 3.1 (Silverlight's installer requires it).
  9. Installed Silverlight 5.1.10411.0 (the newest version).

Unfortunately Silverlight still doesn't work :(

I test it here: http://bubblemark.com/

When trying to run http://bubblemark.com/silverlight2.html I get:

ppi53.jpg

I too received a crash in Microsoft Silverlight affecting Internet Explorer and the offending module name appears to be kernel32.dll (module version 5.0.2195.7193), the exception information output are as follows:

Code: 0xe0434352

Flags: 0x00000001

Record: 0x0000000000000000

Address: 0x000000007C59CB1

I'm guessing that a lot of files in version 5.0.2195.7193 broke Silverlight support and it's not just kernel32.dll or ntdll.dll. :(

0

Share this post


Link to post
Share on other sites

This is very strange :blink:

Could you upload the image again? I mean the one which you have just tested (without any new changes)?

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.